package com.jpattern.orm.query.where;

import java.util.List;

import com.jpattern.orm.query.INameSolverConsumer;
import com.jpattern.orm.query.IRenderableSqlObject;


/**
 * 
 * @author Francesco Cina
 *
 * 19/giu/2011
 */
public interface ExpressionElement extends IRenderableSqlObject, INameSolverConsumer {

	/**
	 * Append to the list all the values of the expression's elements
	 * @return
	 */
	void appendValues(List<Object> values);

}
